Name:		wmblob
Version:	1.0.3
Release:	3%{?dist}

Summary:	Dockapp which shows funny moving `blobs'
Summary(de):	Dockapp, welches lustig wackelnde Kleckse zeigt
Source:		http://www.dockapps.org/download.php/id/541/%{name}-%{version}.tar.bz2
License:	GPLv2+
Group:		User Interface/X
# There's no real homepage, only the dockapp pool at dockapps.org.
URL:		http://dockapps.org/file.php/id/155
BuildRequires:	libXpm-devel
BuildRequires:	gtk2-devel


%description
wmblob shows some blobs moving around. It does nothing useful, it's just 
a toy.

%description -l de
Wmblob zeigt lustig wackelnde Kleckse. Es hat an sich keinen Nutzen,
es ist nur ein Spielzeug.


%prep
%setup -q
for f in ChangeLog README doc/wmblob.1 doc/how_it_works; do
    iconv -f iso-8859-1 -t utf8 $f >$f.tmp && \
    touch -r $f $f.tmp && \
    mv $f.tmp $f
  done

%build
%configure \
	    --x-includes=/usr/include/X11 \
	    --x-libraries=/usr/lib/X11

make CFLAGS="%{optflags} `pkg-config --cflags gtk+-2.0`" %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README doc/how_it_works
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*


%changelog

* Sun Mar 13 2011 Mario Blättermann <mariobl@fedoraproject.org> 1.0.3-3
- changed description
- changed utf-8 conversion to a script to preserve timestamps
- changed make call to make optflags work

* Sun Mar 13 2011 Mario Blättermann <mariobl@fedoraproject.org> 1.0.3-2
- removed executable bit from tarball
- converted files to utf-8
- added additional file to docs

* Sat Mar 12 2011 Mario Blättermann <mariobl@fedoraproject.org> 1.0.3-1
- removed menu entries and icons
- corrected file list
- some other tweaks to make it valid for Fedora

* Sat Oct 18 2008 Mario Blättermann <rpm@mandrivauser.de> 1.0.3-3mud2009.0
- rebuild for 2009.0

* Sun Apr 13 2008 Mario Blättermann <rpm@mandrivauser.de> 1.0.3-2mud2008.1
- rebuild for 2008.1

* Thu Feb 21 2008 Mario Blättermann <mario.blaettermann@t-online.de> 1.0.3-1mud2008.0
- initial version